summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-12-11 09:07:04 +0000
committerMichał Górny <mgorny@gentoo.org>2014-12-11 09:07:04 +0000
commitc049f2453a93fa540cf190231173fa0f7302d53f (patch)
tree2b5b9c93ce081cbd9dd9689b0acd4a1be79d083e
parentfix test dep #526980 (diff)
downloadgentoo-2-c049f2453a93fa540cf190231173fa0f7302d53f.tar.gz
gentoo-2-c049f2453a93fa540cf190231173fa0f7302d53f.tar.bz2
gentoo-2-c049f2453a93fa540cf190231173fa0f7302d53f.zip
Restore using separate HOMEs for Python implementations, because of .pydistutils.cfg. Bug #532236.
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/distutils-r1.eclass8
2 files changed, 12 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 75ba17fcb2e1..ff19c3bf969f 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1456 2014/12/09 18:38:57 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1457 2014/12/11 09:07:04 mgorny Exp $
+
+ 11 Dec 2014; Michał Górny <mgorny@gentoo.org> distutils-r1.eclass:
+ Restore using separate HOMEs for Python implementations, because of
+ .pydistutils.cfg. Bug #532236.
09 Dec 2014; Manuel Rüger <mrueg@gentoo.org> kde4-base.eclass:
Sync kde4-base.eclass with overlay.
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 675766b0ce5b..737468e79009 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.104 2014/12/07 19:15:19 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.105 2014/12/11 09:07:04 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -593,6 +593,12 @@ distutils-r1_run_phase() {
fi
local -x PYTHONPATH="${BUILD_DIR}/lib:${PYTHONPATH}"
+ # We need separate home for each implementation, for .pydistutils.cfg.
+ if [[ ! ${DISTUTILS_SINGLE_IMPL} ]]; then
+ local -x HOME=${HOME}/${EPYTHON}
+ mkdir -p "${HOME}" || die
+ fi
+
# Set up build environment, bug #513664.
local -x AR=${AR} CC=${CC} CPP=${CPP} CXX=${CXX}
tc-export AR CC CPP CXX